pcl::DistanceMap Class Reference

Represents a distance map obtained from a distance transformation. More...

`#include <pcl/recognition/distance_map.h>`

## Public Member Functions

| DistanceMap ()
| Constructor. More...
virtual | ~DistanceMap ()
| Destructor. More...
size_t | getWidth () const
| Returns the width of the map. More...
size_t | getHeight () const
| Returns the height of the map. More...
float * | getData ()
| Returns a pointer to the beginning of map. More...
void | resize (const size_t width, const size_t height)
| Resizes the map to the specified size. More...
float & | operator() (const size_t col_index, const size_t row_index)
| Operator to access an element of the map. More...
const float & | operator() (const size_t col_index, const size_t row_index) const
| Operator to access an element of the map. More...

## Protected Attributes

std::vector< float > | data_
| The storage for the distance map data. More...
size_t | width_
| The width of the map. More...
size_t | height_
| The height of the map. More...

## Detailed Description

Represents a distance map obtained from a distance transformation.

Author
  Stefan Holzer

Definition at line 47 of file distance_map.h.

## Constructor & Destructor Documentation

## DistanceMap()

pcl::DistanceMap::DistanceMap | ( |  | ) |

inline

Constructor.

Definition at line 51 of file distance_map.h.

## ~DistanceMap()

virtual pcl::DistanceMap::~DistanceMap | ( |  | ) |

inline virtual

Destructor.

Definition at line 53 of file distance_map.h.

## Member Function Documentation

## getData()

float* pcl::DistanceMap::getData | ( |  | ) |

inline

Returns a pointer to the beginning of map.

Definition at line 71 of file distance_map.h.

References data_.

Referenced by pcl::ColorModality< PointInT >::computeDistanceMap(), and pcl::SurfaceNormalModality< PointXYZT >::computeDistanceMap().

## getHeight()

size_t pcl::DistanceMap::getHeight | ( |  | ) | const

inline

Returns the height of the map.

Definition at line 64 of file distance_map.h.

References height_.

## getWidth()

size_t pcl::DistanceMap::getWidth | ( |  | ) | const

inline

Returns the width of the map.

Definition at line 57 of file distance_map.h.

References width_.

## operator()() [1/2]

float& pcl::DistanceMap::operator() | ( | const size_t | col_index,
|  | const size_t | row_index
| ) |  |

inline

Operator to access an element of the map.

Parameters

  [in] | col_index | the column index of the element to access.
  [in] | row_index | the row index of the element to access.

Definition at line 93 of file distance_map.h.

References data_, and width_.

## operator()() [2/2]

const float& pcl::DistanceMap::operator() | ( | const size_t | col_index,
|  | const size_t | row_index
| ) |  | const

inline

Operator to access an element of the map.

Parameters

  [in] | col_index | the column index of the element to access.
  [in] | row_index | the row index of the element to access.

Definition at line 103 of file distance_map.h.

References data_, and width_.

## resize()

void pcl::DistanceMap::resize | ( | const size_t | width,
|  | const size_t | height
| ) |  |

inline

Resizes the map to the specified size.

Parameters

  [in] | width | the new width of the map.
  [in] | height | the new height of the map.

Definition at line 81 of file distance_map.h.

References data_, height_, and width_.

Referenced by pcl::ColorModality< PointInT >::computeDistanceMap(), and pcl::SurfaceNormalModality< PointXYZT >::computeDistanceMap().

## Member Data Documentation

## data_

std::vector<float> pcl::DistanceMap::data_

protected

The storage for the distance map data.

Definition at line 110 of file distance_map.h.

Referenced by getData(), operator()(), and resize().

## height_

size_t pcl::DistanceMap::height_

protected

The height of the map.

Definition at line 114 of file distance_map.h.

Referenced by getHeight(), and resize().

## width_

size_t pcl::DistanceMap::width_

protected

The width of the map.

Definition at line 112 of file distance_map.h.

Referenced by getWidth(), operator()(), and resize().

The documentation for this class was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/recognition/include/pcl/recognition/distance_map.h